function allsubplots(g,k)
// shows subplots of closed loop poles/zeros, step responses etc. 
//RLTOOL for scilab (c) Ishan Pendharkar. 
global g k GainSlider g_sensor g_plant g_cont
if k==[] then,
	k=get(GainSlider,'value')
end;
if k==0 then,
	return;
end;
// no subplots are to be drawn if the point is not legitimate, i.e. not on root
// locus
		
setmenu(0, 'Response', [4]); // sets the details button on
select  Knumber 
	case 1 then,
	g_closedloop=syslin('c',g*k/(1+g*k)); // unity feedback configuration
	case 2 then,
	g_closedloop=syslin('c',g/(1+k*g)); // k in feedback
	case 3 then,
	g_closedloop=syslin('c',k*g_cont*g_plant/(1+k*g_cont*g_plant*g_sensor)); // design mode
end;
// closedloop for k in feedback or k in forward path
//***************** mark closed loop poles **********
	r=roots(denom(g_closedloop));
	markpoles(r);
//****************************************************
xset('window',1);xset('wdim',200,400);xset('wpos',550,0);
xbasc(1);
xname('Rltool-1.6: closed loop plots');
subplot(211)
	modified_bode(g_closedloop,Frunits); 
subplot(223)
	modified_gainplot(syslin('c',1/(1+k*g)),Frunits);
	xtitle('Sensitivity plot');
subplot(224)
substep_response(g_closedloop); //'sub' means subplot.
xinfo("Gain = "+ string(k)+ ". "+ isstable(g,k));
clear g_closedloop;
return;

	
