function arbit_response(g_closedloop,t,u)
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function simulate for piecewise linear inputs.
global gridon;
//check if input is NOT single-valued
[x,y]=size(t);
	for i=1:x-1
		if t(i+1)-t(i)<= 0 then
		x_message(['Error entering input.';'Input is not single valued']);
		return;
		end;
	end;
	
// interpolate to get values of input 
	interp_u(1)=0;
	interp_t(1)=0;
	interp_size=ceil(max(t)/tstep);
	for i=1:interp_size
	interp_u(i)=interpln([t';u'],(i-1)*tstep)
	interp_t(i)=(i-1)*tstep;
	end;

// plotting interpolated values
	t=interp_t;
	u=interp_u;

		if roots(denom(g_closedloop))<>[] then
			resp=csim(u',t',g_closedloop); //this is the response vector
			plot2d(t,[resp' u],[1,2],leg="Response@Input");
					if gridon==1 then xgrid(4); end;
			xtitle('Dynamic Response','Time (sec)','Magnitude') 

		else
		x_message(['Sorry! I cannot plot the response';'Due to numerical tolerances, a pole-zero cancellation has occured.';' Please reselect point.']);
		end;
		xselect();
clear interp_t,interp_u,t,resp
return


