function popov_plot(g)
// (C) Ishan Pendharkar. Included with Rltool for Scilab.
// function plots the popov plot of the plant g
// on the real axis we have real part of g(i\omega)
// on the imaginary axis we plot omega times imaginary part of g(i\omega)
wmin=0 
wmax= 30;
wstep= 0.1;

popov=zeros(ceil((wmax-wmin)/wstep),2);
for i=1:ceil((wmax-wmin)/wstep)
	if horner(denom(g),%i*(wmin+(i-1)*wstep)) <> 0 then,
		temp=horner(g,%i*(wmin+(i-1)*wstep));
		popov(i,1)=real(temp);	//real part
		popov(i,2)=(wmin+i*wstep)*imag(temp);//omega*imag part
	end;
end;
//We now plot.....Real part vs omega*imaginary part.
xset('window',2);
	plot2d(popov(:,1),popov(:,2),axesflag=5,logflag='nn');
	xtitle("Popov plot","Real(G)","omega Imag(G)");
return;













