function response_select(g);
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function response_select gives a menu for closed loop response selection.
global k g;
	if k<=0 then, 
		xinfo('Select a point on the root locus');
		xset('window',0)
		status=xclick();
		p=clean([status(2) status(3)],Limits());
		k=getgain(p(1),p(2)) // compute gain on root locus
			if k > 0 then, // bona-fide point. Mark all poles
			xinfo("Gain = "+ string(k));
			else,
			return; // no bona fide point selected
			end;
	end;
//selection of response
whichresponse=1;
stability=isstable(g,k); //check whether closed loop system is stable.
while whichresponse<> 0 & k > 0, 
whichresponse=x_choose([
'Impulse Response';
'Step Response';
'Ramp Response';
'Arbitrary Input';
'Sinusoidal input';
'----------';
'Bode plot';
'Sensitivity plot';
'----------';
'Closed loop poles';
'Step response parameters'
],['Gain = "+string(k)';stability;'Select required closed loop response']);
//

if Knumber ==1 then, // k in feedback or k in forward path
	g_closedloop=syslin('c',g*k/(1+g*k)); // unity feedback configuration
else,
	g_closedloop=syslin('c',g/(1+k*g)); // k in feedback
end;
	r=roots(denom(g_closedloop));
			if whichresponse==0 then,
			xdel(2) // delete all open windows
			end;
			
			if whichresponse==1 then,
			xset('window',2);
			xname('Closed loop Impulse response');
			impulse_response(g_closedloop);
			end;
						
			if whichresponse==2 then,
			xset('window',2);
			xname('Closed loop step response');
			step_response(g_closedloop)
			end;

			if whichresponse==3 then,
			xset('window',2);
			xname('Closed loop ramp response');
			ramp_response(g_closedloop);
			end;
			
			if whichresponse==4 then,
			xset('window',2);
	xinfo('Draw piece-wise continuous signal and click Edit-->OK')
			xname('Edit input');
 			[t,u,ok,gc] = edit_curv();
			xset('window',2);
			xname('Closed loop response');
				if ok == %t & u<>[] then,
				arbit_response(g_closedloop,t,u);
				end;
			end;
			
			if whichresponse==5 then,
			xset('window',2);
			xname('Closed loop sinusoidal response');
			sinuresponse(g_closedloop);
			end;
			
			if whichresponse==6 then,
			end; //do nothing
			
			if whichresponse==7 then,
			xset('window',2);
			xname('Closed loop Bode plot');
			frq1(g_closedloop);
			end;
			
			if whichresponse==8 then,
			xset('window',2);
			xname('Sensitivity plot');
			sens(g,k);
			end;
			
			if whichresponse==9 then,
			end; //do nothing
			
			if whichresponse==10 then,
			x_message(string(r));
			end;

			if whichresponse==11 then,
			t=0:tstep:tmax;
			resp=csim('step',t,g_closedloop);
			stepdetails(resp);
			end;
						     
else
xinfo('click on a point of the rootlocus');
end;				
return;

   

