function rlt()
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function the main programme! 
// set oldstyle on for scilab version 3.0 only.
version=getversion();
position=grep(version,'3.1');  
if position==[] then,
disp("Please consider upgrading to Scilab-3.1")
end;
clear position;
//****************Default global values***********
global g g_cont g_plant g_sensor  
global MAG FREQ CYCLES Frunits kevans s gridon
global last_time // check if too fast
global k  // k is the gain
global f GainSlider ScaleValue 
global  choice // root locus or frequency design mode
global Knumber Frunits;
global kevans fminmag fmaxmag magstep fminnyq fmaxnyq nyqstep fminbode fmaxbode bodestep tmax tstep fminsens fmaxsens sensstep zeta wn browser_path 
global marked_handle // handle for marking poles

f=[]
s=poly(0,'s');
g_cont=s^0;
g_plant=1/s;
g_sensor=s^0;
g=g_cont*g_plant*g_sensor
Frunits='r';
k=0;
last_time=0;
//**************************************************
Rlt_Config()
//************************ welcome message *********
welcomemsg()
//**************** MENUS****************************
tic()
UpdateGUI();
//****************** initialize main graphics window
xset('window',0);
xset('wdim',550,350);
xset('wpos',0,0);
xset('auto clear','off');
delmenu(0,'Edit');
delmenu(0,'3D Rot.');
addmenu(0,'Grid',['On';'Off';'Zeta/Wn';'sgrid']);
Grid_0(1)='GridOn(1)';
Grid_0(2)='GridOn(0)';
Grid_0(3)='zetaplot(zeta,wn)';
Grid_0(4)='marked_handle=[];whichplot(g);sgrid()';

addmenu(0,'Response',['Closed Loop';'Nyquist';'Nichols';'Details';'Popov']);
Response_0(1)='response_select(g)';
Response_0(2)='nyq(g)';
Response_0(3)='blacksplot(g)'
Response_0(4)='displayalldetails(g,k)'
Response_0(5)='popov_plot(g)';

addmenu(0,'Design',['Root Locus';'Frequency']);
Design_0(1)='callbk_rlt()';
Design_0(2)='callbk_frq()';

addmenu(0,'Plant',['Undo';'Add Pole';'Add Zero';'Remove Pole';'Remove Zero';'Add Cascade';'Remove Cascade';'Edit Plant';'Save plant';'Load plant']);

Plant_0(1)='undo()';
Plant_0(2)='addpole()';
Plant_0(3)='addzero()';
Plant_0(4)='rmpole()';
Plant_0(5)='rmzero()';
Plant_0(6)='addplant()';
Plant_0(7)='rmplant()';
Plant_0(8)='EditLoop()';
Plant_0(9)='saveplant()';
Plant_0(10)='loadplant()';

addmenu(0,'Settings',['Root Locus';'Mag. plot';'Nyquist-Nichols Plot';'Bode Plot';'Dynamic Response';'Sensitivity Plot';'Graphics attributes';'Gain configuration';'Frequency units';'HTML viewer']);
Settings_0(1)='[ok,kevans]=rlsettings()';
Settings_0(2)='[ok,fminmag,fmaxmag,magstep]=magsettings()';
Settings_0(3)='[ok,fminnyq,fmaxnyq,nyqstep]=nyqsettings()';
Settings_0(4)='[ok,fminbode,fmaxbode,bodestep]=bodesettings()';  
Settings_0(5)='[ok,tmax,tstep]=dynamicsettings()';
Settings_0(6)='[ok,fminsens,fmaxsens,sensstep]=senssettings()';
Settings_0(7)='xsetm();g=rl(g)';
Settings_0(8)='Knumber=Ksettings()';
Settings_0(9)='Frunits=Frunitssettings()';
Settings_0(10)='bowser_path=browserpathsettings()';

addmenu(0,'Help',['Root Locus';'Magnitude Plot';'Nyquist-Nichols Plot';'Bode Plot';'Closed loop responses';'Sensitivity';'Settings';'Load/Save';'About';'License';'To Do';'HTML manual']); 
Help_0(1)='HELProotlocus()';
Help_0(2)='HELPmagplot()';
Help_0(3)='HELPnyqplot()';
Help_0(4)='HELPbodeplot()';
Help_0(5)='HELPclosedloopresponse()';
Help_0(6)='HELPsensitivityplot()';
Help_0(7)='HELPsettings()';
Help_0(8)='HELPloadandsave()';
Help_0(9)='HELPabout()';
Help_0(10)='HELPlicense()';
Help_0(11)='HELPtodo()';
Help_0(12)='HELPloadmanual()';
addmenu(0,'Measure');
Measure_0 ='measure()';
//******************************** Exit code ************************
whichplot(g);
xname('Rltool-1.6 main window');
pause
//*********************************************************





 
