function sinuresponse(g_closedloop)
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function one time period of sine wave response and associated functions
global FREQ MAG CYCLES gridon;
xbasc();
xname('Closed loop sinusoidal response');
xinfo('Simulating sinusoidal response. This may take a while....');
	if Frunits=='r' then, //convert to hz
	FREQ=FREQ/(2*%pi);
	end;
	T=1/FREQ*abs(CYCLES); //Time period in second
	t=0:(T/(30*CYCLES)):T;
	u=MAG*sin(2*%pi*FREQ*t);
	resp=csim(u,t,g_closedloop); //this is the response vector
	plot2d(t',[resp' u'],[1,2],leg="Response@Input");
			if gridon==1 then xgrid(4); 
			end;
xtitle('Sinusoidal Response','Time (sec)','Magnitude') 

if Frunits=='h' then,
msg='Amplitude ='+string(MAG)+ ' Frequency = '+string(FREQ)+' Hz.Click Settings-->Dynamic response to change.';
xinfo(msg);
else,
msg='Amplitude ='+string(MAG)+ ' Frequency = '+string(2*%pi*FREQ)+' rad/sec.Click Settings-->Dynamic response to change.';
xinfo(msg);
end;


clear t,resp;
return;

 
 
 
